Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network238.3.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
238.3.32.0
Broadcast address
238.3.63.255
First usable
238.3.32.1
Last usable
238.3.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EE032000 · Integer 3993182208 to 3993190399
Reverse DNS zones
32.3.238.in-addr.arpa
33.3.238.in-addr.arpa
34.3.238.in-addr.arpa
35.3.238.in-addr.arpa
36.3.238.in-addr.arpa
37.3.238.in-addr.arpa
38.3.238.in-addr.arpa
39.3.238.in-addr.arpa
40.3.238.in-addr.arpa
41.3.238.in-addr.arpa
42.3.238.in-addr.arpa
43.3.238.in-addr.arpa
44.3.238.in-addr.arpa
45.3.238.in-addr.arpa
46.3.238.in-addr.arpa
47.3.238.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101110.00000011.00100000.00000000238.3.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11101110.00000011.00100000.00000000238.3.32.0
Broadcast11101110.00000011.00111111.11111111238.3.63.255
Split into smaller subnets/25

238.3.32.0/19 makes 64 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1238.3.32.0/25238.3.32.1 to 238.3.32.126238.3.32.127126
2238.3.32.128/25238.3.32.129 to 238.3.32.254238.3.32.255126
3238.3.33.0/25238.3.33.1 to 238.3.33.126238.3.33.127126
4238.3.33.128/25238.3.33.129 to 238.3.33.254238.3.33.255126
5238.3.34.0/25238.3.34.1 to 238.3.34.126238.3.34.127126
6238.3.34.128/25238.3.34.129 to 238.3.34.254238.3.34.255126
7238.3.35.0/25238.3.35.1 to 238.3.35.126238.3.35.127126
8238.3.35.128/25238.3.35.129 to 238.3.35.254238.3.35.255126
9238.3.36.0/25238.3.36.1 to 238.3.36.126238.3.36.127126
10238.3.36.128/25238.3.36.129 to 238.3.36.254238.3.36.255126
11238.3.37.0/25238.3.37.1 to 238.3.37.126238.3.37.127126
12238.3.37.128/25238.3.37.129 to 238.3.37.254238.3.37.255126
13238.3.38.0/25238.3.38.1 to 238.3.38.126238.3.38.127126
14238.3.38.128/25238.3.38.129 to 238.3.38.254238.3.38.255126
15238.3.39.0/25238.3.39.1 to 238.3.39.126238.3.39.127126
16238.3.39.128/25238.3.39.129 to 238.3.39.254238.3.39.255126
17238.3.40.0/25238.3.40.1 to 238.3.40.126238.3.40.127126
18238.3.40.128/25238.3.40.129 to 238.3.40.254238.3.40.255126
19238.3.41.0/25238.3.41.1 to 238.3.41.126238.3.41.127126
20238.3.41.128/25238.3.41.129 to 238.3.41.254238.3.41.255126
21238.3.42.0/25238.3.42.1 to 238.3.42.126238.3.42.127126
22238.3.42.128/25238.3.42.129 to 238.3.42.254238.3.42.255126
23238.3.43.0/25238.3.43.1 to 238.3.43.126238.3.43.127126
24238.3.43.128/25238.3.43.129 to 238.3.43.254238.3.43.255126
25238.3.44.0/25238.3.44.1 to 238.3.44.126238.3.44.127126
26238.3.44.128/25238.3.44.129 to 238.3.44.254238.3.44.255126
27238.3.45.0/25238.3.45.1 to 238.3.45.126238.3.45.127126
28238.3.45.128/25238.3.45.129 to 238.3.45.254238.3.45.255126
29238.3.46.0/25238.3.46.1 to 238.3.46.126238.3.46.127126
30238.3.46.128/25238.3.46.129 to 238.3.46.254238.3.46.255126
31238.3.47.0/25238.3.47.1 to 238.3.47.126238.3.47.127126
32238.3.47.128/25238.3.47.129 to 238.3.47.254238.3.47.255126
33238.3.48.0/25238.3.48.1 to 238.3.48.126238.3.48.127126
34238.3.48.128/25238.3.48.129 to 238.3.48.254238.3.48.255126
35238.3.49.0/25238.3.49.1 to 238.3.49.126238.3.49.127126
36238.3.49.128/25238.3.49.129 to 238.3.49.254238.3.49.255126
37238.3.50.0/25238.3.50.1 to 238.3.50.126238.3.50.127126
38238.3.50.128/25238.3.50.129 to 238.3.50.254238.3.50.255126
39238.3.51.0/25238.3.51.1 to 238.3.51.126238.3.51.127126
40238.3.51.128/25238.3.51.129 to 238.3.51.254238.3.51.255126
41238.3.52.0/25238.3.52.1 to 238.3.52.126238.3.52.127126
42238.3.52.128/25238.3.52.129 to 238.3.52.254238.3.52.255126
43238.3.53.0/25238.3.53.1 to 238.3.53.126238.3.53.127126
44238.3.53.128/25238.3.53.129 to 238.3.53.254238.3.53.255126
45238.3.54.0/25238.3.54.1 to 238.3.54.126238.3.54.127126
46238.3.54.128/25238.3.54.129 to 238.3.54.254238.3.54.255126
47238.3.55.0/25238.3.55.1 to 238.3.55.126238.3.55.127126
48238.3.55.128/25238.3.55.129 to 238.3.55.254238.3.55.255126
49238.3.56.0/25238.3.56.1 to 238.3.56.126238.3.56.127126
50238.3.56.128/25238.3.56.129 to 238.3.56.254238.3.56.255126
51238.3.57.0/25238.3.57.1 to 238.3.57.126238.3.57.127126
52238.3.57.128/25238.3.57.129 to 238.3.57.254238.3.57.255126
53238.3.58.0/25238.3.58.1 to 238.3.58.126238.3.58.127126
54238.3.58.128/25238.3.58.129 to 238.3.58.254238.3.58.255126
55238.3.59.0/25238.3.59.1 to 238.3.59.126238.3.59.127126
56238.3.59.128/25238.3.59.129 to 238.3.59.254238.3.59.255126
57238.3.60.0/25238.3.60.1 to 238.3.60.126238.3.60.127126
58238.3.60.128/25238.3.60.129 to 238.3.60.254238.3.60.255126
59238.3.61.0/25238.3.61.1 to 238.3.61.126238.3.61.127126
60238.3.61.128/25238.3.61.129 to 238.3.61.254238.3.61.255126
61238.3.62.0/25238.3.62.1 to 238.3.62.126238.3.62.127126
62238.3.62.128/25238.3.62.129 to 238.3.62.254238.3.62.255126
63238.3.63.0/25238.3.63.1 to 238.3.63.126238.3.63.127126
64238.3.63.128/25238.3.63.129 to 238.3.63.254238.3.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses